#!/usr/bin/env python

# Copyright (C) 2009-2010 Eugene Tarasenko
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

from distutils.core import setup
import __init__

bzr_plugin_name = __init__.plugin_name
bzr_commands = ['externals-add', 'externals-command']
bzr_plugin_version = __init__.version_info
bzr_minimum_version = (1, 4, 0)
bzr_maximum_version = None

if __name__ == '__main__':
    version = bzr_plugin_version[:3]
    setup(name="bzr-externals",
          version=".".join([str(x) for x in version]),
          description="Support external branches like svn:externals",
          author="Eugene Tarasenko",
          author_email="eugene.tarasenko@gmail.com",
          license="GNU GPL v2",
          url="https://launchpad.net/bzr-externals",
          packages=['bzrlib.plugins.externals', ],
          package_dir={'bzrlib.plugins.externals': '.'})
